use ui::widget;

pub struct Spacer {
    context: widget::DrawContext,
    width: u16
}

pub fn create(mut context: widget::DrawContext, width: u16, red: u16, green: u16, blue: u16, alpha: u16) -> Spacer {
    context.set_bg_color(red, green, blue, alpha);
    Spacer {
        context: context,
        width: width
    }
}

impl widget::Widget for Spacer {
    fn render(&mut self, x: u16) {
        self.context.draw_bg(x, self.width);
    }

    fn width(&mut self) -> u16 {
        self.width
    }
}
